from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDiagramPositioning(XInterface, Protocol):
    def setAutomaticDiagramPositioning(self) -> None: ...
    def isAutomaticDiagramPositioning(self) -> bool: ...
    def setDiagramPositionExcludingAxes(self, PositionRect: Rectangle) -> None: ...
    def isExcludingDiagramPositioning(self) -> bool: ...
    def calculateDiagramPositionExcludingAxes(self) -> Rectangle: ...
    def setDiagramPositionIncludingAxes(self, PositionRect: Rectangle) -> None: ...
    def calculateDiagramPositionIncludingAxes(self) -> Rectangle: ...
    def setDiagramPositionIncludingAxesAndAxisTitles(self, PositionRect: Rectangle) -> None: ...
    def calculateDiagramPositionIncludingAxesAndAxisTitles(self) -> Rectangle: ...
